%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global _name	runc
%global package_name	    github.com/opencontainers/%{_name}
%global golang_version      1.13.15
%global commit0 12644e614e25b05da6fd08a38ffa0cfe1903fdec
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           %{_name}
Version:        1.0.0
Release:        93.rc93%{?dist}
Summary:        CLI for running Open Containers
License:        Apache 2.0
Url:            https://github.com/opencontainers/runc.git
Vendor:         Oracle America
ExclusiveArch: aarch64 %{arm} ppc64le s390x x86_64 %{ix86}
Source:         %{name}-%{version}.tar.bz2

%ifnarch %{ix86}
Requires: criu
%endif
Requires(pre): container-selinux >= 2:2.77
BuildRequires:  golang >= %{golang_version}
BuildRequires: openssl-devel
BuildRequires: git
BuildRequires: go-md2man
BuildRequires: libseccomp-devel

%description
The runc command can be used to start containers which are packaged
in accordance with the Open Container Initiative's specifications,
and to manage containers running under runc.

%prep
%setup -q -n %{name}-%{version}

%build
export GOPATH=$(go env GOPATH)
GOPATH_SRC=$GOPATH/src/%{package_name}
%__mkdir_p $GOPATH_SRC
%__rm -r $GOPATH_SRC
%__ln_s $PWD $GOPATH_SRC

pushd $GOPATH_SRC
cd ${GOPATH_SRC}
make COMMIT=%{commit0} BUILDTAGS="seccomp selinux nokmem" EXTRA_LDFLAGS="-s -w" all
sed -i '/\#\!\/bin\/bash/d' contrib/completions/bash/%{name}

# generate man pages
man/md2man-all.sh

%install
install -d -p %{buildroot}%{_bindir}
install -p -m 755 %{name} %{buildroot}%{_bindir}
install -d -p %{buildroot}%{_mandir}/man8
install -p -m 644 man/man8/* %{buildroot}%{_mandir}/man8

# install bash completion
install -d -p %{buildroot}%{_datadir}/bash-completion/completions
install -p -m 0644 contrib/completions/bash/%{name} %{buildroot}%{_datadir}/bash-completion/completions

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%doc MAINTAINERS_GUIDE.md PRINCIPLES.md README.md CONTRIBUTING.md
%{_bindir}/%{name}
%{_mandir}/man8/%{name}*
%{_datadir}/bash-completion/completions/%{name}

%clean
rm -fr %{buildroot}
rm -fr %{_builddir}/%{name}-%{version}

%changelog
* Wed Mar 03 2021 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 1.0.0-93.rc93
- Build for https://github.com/opencontainers/runc/releases/tag/v1.0.0-rc93
